package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 公司表对象 sys_company
 * 
 * @author dgtly
 * @date 2020-01-08
 */
public class SysCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司编号 */
    private Long id;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;
    private String companyNameEn;

    private Integer status;//公司状态

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String companyType;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;
    private String detailAddressEn;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 企业法人 */
    @Excel(name = "企业法人")
    private String legalPerson;
    private String legalPersonEn;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;

    /** 成立日期 */
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date establishDate;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String unifiedSocialCreditCode;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicenseUrl;

    /** 企业默认图片 */
    @Excel(name = "企业默认图片")
    private String defaultImgUrl;

    /** 企业宣传图片 */
    @Excel(name = "企业宣传图片")
    private String propagandaImgUrl;

    /** 企业介绍 */
    @Excel(name = "企业介绍")
    private String companyIntroduce;
    private String companyIntroduceEn;

    /** 版本号 */
    @Excel(name = "版本号")
    private Integer versionNum;

    /** 排序值越大越靠前  */
    @Excel(name = "排序")
    private String sort;

    /** 主营业务*/
    private String primaryBusiness;
    private String primaryBusinessEn;

    /** 商品数量*/
    private String goodsCount;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setCompanyType(String companyType)
    {
        this.companyType = companyType;
    }

    public String getCompanyType()
    {
        return companyType;
    }
    public void setDetailAddress(String detailAddress)
    {
        this.detailAddress = detailAddress;
    }

    public String getDetailAddress()
    {
        return detailAddress;
    }
    public void setLongitude(String longitude)
    {
        this.longitude = longitude;
    }

    public String getLongitude()
    {
        return longitude;
    }
    public void setLatitude(String latitude)
    {
        this.latitude = latitude;
    }

    public String getLatitude()
    {
        return latitude;
    }
    public void setLegalPerson(String legalPerson)
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson()
    {
        return legalPerson;
    }
    public void setContactNumber(String contactNumber)
    {
        this.contactNumber = contactNumber;
    }

    public String getContactNumber()
    {
        return contactNumber;
    }
    public void setEstablishDate(Date establishDate)
    {
        this.establishDate = establishDate;
    }

    public Date getEstablishDate()
    {
        return establishDate;
    }
    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode)
    {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getUnifiedSocialCreditCode()
    {
        return unifiedSocialCreditCode;
    }
    public void setBusinessLicenseUrl(String businessLicenseUrl)
    {
        this.businessLicenseUrl = businessLicenseUrl;
    }

    public String getBusinessLicenseUrl()
    {
        return businessLicenseUrl;
    }
    public void setDefaultImgUrl(String defaultImgUrl)
    {
        this.defaultImgUrl = defaultImgUrl;
    }

    public String getDefaultImgUrl()
    {
        return defaultImgUrl;
    }
    public void setPropagandaImgUrl(String propagandaImgUrl)
    {
        this.propagandaImgUrl = propagandaImgUrl;
    }

    public String getPropagandaImgUrl()
    {
        return propagandaImgUrl;
    }
    public void setCompanyIntroduce(String companyIntroduce)
    {
        this.companyIntroduce = companyIntroduce;
    }

    public String getCompanyIntroduce()
    {
        return companyIntroduce;
    }
    public void setVersionNum(Integer versionNum)
    {
        this.versionNum = versionNum;
    }

    public Integer getVersionNum()
    {
        return versionNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPrimaryBusiness() {
        return primaryBusiness;
    }

    public void setPrimaryBusiness(String primaryBusiness) {
        this.primaryBusiness = primaryBusiness;
    }


    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getGoodsCount() {
        return goodsCount;
    }

    public void setGoodsCount(String goodsCount) {
        this.goodsCount = goodsCount;
    }

    public String getCompanyNameEn() {
        return companyNameEn;
    }

    public void setCompanyNameEn(String companyNameEn) {
        this.companyNameEn = companyNameEn;
    }

    public String getLegalPersonEn() {
        return legalPersonEn;
    }

    public void setLegalPersonEn(String legalPersonEn) {
        this.legalPersonEn = legalPersonEn;
    }

    public String getCompanyIntroduceEn() {
        return companyIntroduceEn;
    }

    public void setCompanyIntroduceEn(String companyIntroduceEn) {
        this.companyIntroduceEn = companyIntroduceEn;
    }

    public String getPrimaryBusinessEn() {
        return primaryBusinessEn;
    }

    public void setPrimaryBusinessEn(String primaryBusinessEn) {
        this.primaryBusinessEn = primaryBusinessEn;
    }

    public String getDetailAddressEn() {
        return detailAddressEn;
    }

    public void setDetailAddressEn(String detailAddressEn) {
        this.detailAddressEn = detailAddressEn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompanyName())
            .append("createTime", getCreateTime())
            .toString();
    }


}
